#ifndef __KYLIN_AI_GEN_AI_TEXT_RESULT_H__
#define __KYLIN_AI_GEN_AI_TEXT_RESULT_H__

#include <common/macros.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatResult ChatResult;

AISDK_EXTERN
const char *chat_result_get_assistant_message(ChatResult *result);

AISDK_EXTERN
const char *chat_result_get_reasoning_message(ChatResult *result);

/**
 * finish_reason解释说明：
 * stop          : API 返回完整的模型输出
 * length        : 因为 max_tokens 参数或 token 限制，导致不完整的模型输出
 * content_filter: 因为我们的内容过滤的标记，删掉了内容
 * null          : API 响应还在进行中或未完成
 */
AISDK_EXTERN
const char *chat_result_get_finish_reason_message(ChatResult *result);

AISDK_EXTERN
int chat_result_get_error_code(ChatResult *result);

AISDK_EXTERN
const char *chat_result_get_error_message(ChatResult *result);

AISDK_EXTERN
bool chat_result_get_is_end(ChatResult *result);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_RESULT_H__
